; Icon creator is a script for The GIMP
;
; Turn a square image into an icon 256x256 px with 14 layers.
;
; The script is located in menu "<Image> / Script-Fu / Icon-creator..."
;
; Last changed: 22 10 2009
; 
; Copyright "yath"
;__________________________________________________________________________
(script-fu-register "script-fu-icon-creator"   
            "<Image>/Filters/Ikony/Kreator ikon..."
            "Does the icon 256x256 with \
			14 layers on a square image"
            "ymath"
            "ymath"
            "August 22 2009"
            "*"
			SF-IMAGE		"Image"     0
            SF-DRAWABLE		"Drawable"  0
	    )


;-------------------------------------------------------------------

;
; This program is free software
; you can redistribute it and/or modify

; it under the terms of the GNU General Public License as published by

; the Free Software Foundation
; either version 3 of the License, or

; (at your option) any later version.

;; This program is distributed in the hope that it will be 
; useful
;__________________________________________________________________________


  
(define (script-fu-icon-creator image layer 
					)
					(gimp-undo-push-group-start image)
  (gimp-layer-add-alpha layer)
   (gimp-layer-resize-to-image-size layer)
  (gimp-layer-scale layer 256 256 FALSE)
  (gimp-image-crop image 256 256 0 0)
  
            
			(set! layer (car (gimp-layer-copy layer TRUE)))
			(gimp-image-add-layer image layer 1)
			(gimp-layer-scale layer 128 128 FALSE)
			
			
		    (set! layer (car (gimp-layer-copy layer TRUE)))
			(gimp-image-add-layer image layer 2)
			(gimp-layer-scale layer 96 96 FALSE)
			
			
			(set! layer (car (gimp-layer-copy layer TRUE)))
			(gimp-image-add-layer image layer 3)
			(gimp-layer-scale layer 79 79 FALSE)
			
			
			(set! layer (car (gimp-layer-copy layer TRUE)))
			(gimp-image-add-layer image layer 4)
			(gimp-layer-scale layer 71 71 FALSE)
			
			(set! layer (car (gimp-layer-copy layer TRUE)))
			(gimp-image-add-layer image layer 5)
			(gimp-layer-scale layer 64 64 FALSE)
			
			
			(set! layer (car (gimp-layer-copy layer TRUE)))
			(gimp-image-add-layer image layer 6)
			(gimp-layer-scale layer 47 47 FALSE)
			
			
			(set! layer (car (gimp-layer-copy layer TRUE)))
			(gimp-image-add-layer image layer 7)
			(gimp-image-raise-layer-to-top image layer)
			
			
			(set! layer (car (gimp-layer-copy layer TRUE)))
			(gimp-image-add-layer image layer 7)
			(gimp-layer-scale layer 32 32 FALSE)
			
			
			(set! layer (car (gimp-layer-copy layer TRUE)))
			(gimp-image-add-layer image layer 8)
			(gimp-image-raise-layer-to-top image layer)
			(gimp-image-lower-layer image layer)
			
			
			(set! layer (car (gimp-layer-copy layer TRUE)))
			(gimp-image-add-layer image layer 8)
			(gimp-layer-scale layer 23 23 FALSE)
			
			
			(set! layer (car (gimp-layer-copy layer TRUE)))
			(gimp-image-add-layer image layer 9)
			(gimp-image-raise-layer-to-top image layer)
			(gimp-image-lower-layer image layer)
			(gimp-image-lower-layer image layer)
			
			
			(set! layer (car (gimp-layer-copy layer TRUE)))
			(gimp-image-add-layer image layer 9)
			(gimp-layer-scale layer 16 16 FALSE)
			
			
			(set! layer (car (gimp-layer-copy layer TRUE)))
			(gimp-image-add-layer image layer 10)
			(gimp-image-raise-layer-to-top image layer)
			(gimp-image-lower-layer image layer)
			(gimp-image-lower-layer image layer)
			(gimp-image-lower-layer image layer)
			
			
			
			
  (gimp-undo-push-group-end image)
  
				(gimp-displays-flush)	)
   
  

